# Android SDK v6.5.0 Deprecation Note

## Deprecated APIs

#### AmityCoreClient

| Methods                                | Remarks                                  |
| -------------------------------------- | ---------------------------------------- |
| registerDeviceForPushNotifications()   | Use registerPushNotification() instead   |
| unregisterDeviceForPushNotifications() | Use unregisterPushNotification() instead |
| notification()                         | Use notifications.user() instead         |

#### AmityChannelRepository

| Methods        | Remarks                                               |
| -------------- | ----------------------------------------------------- |
| notification() | Use AmityCoreClient.notifications().channel() instead |

#### AmityCommunityRepository

| Methods                      | Remarks                                               |
| ---------------------------- | ----------------------------------------------------- |
| notification()               | Use AmityCoreClient.notifications.community() instead |
| membership().addMembers()    | Use moderation().addMembers() instead                 |
| membership().removeMembers() | Use moderation().removeMembers() instead              |
| moderation().banUsers()      | Use moderation().banMembers() instead                 |
| moderation().unbanUsers()    | Use moderation().unbanMembers() instead               |

#### AmityCommentRepository

| Methods        | Remarks                                                          |
| -------------- | ---------------------------------------------------------------- |
| getReactions() | Use AmityCoreClient.newReactionRepository.getReactions() instead |

#### AmityComment

| Methods  | Remarks                                                                                                                                  |
| -------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| react()  | Use AmityCoreClient.newReactionRepository().addReaction() or  AmityCoreClient.newReactionRepository().removeReaction() instead           |
| report() | Use AmitySocialClient.newCommentRepository().flagComment() or AmitySocialClient.newCommentRepository().unflagComment() instead           |
| delete() | Use AmitySocialClient.newCommentRepository().softDeleteComment() or AmitySocialClient.newCommentRepository().hardDeleteComment() instead |
| edit()   | AmitySocialClient.newCommentRepository().updateComment() instead                                                                         |

#### AmityMessageRepository

| Methods        | Remarks                                                            |
| -------------- | ------------------------------------------------------------------ |
| getReactions() | Use AmityCoreClient.newReactionRepository().getReactions() instead |

#### AmityMessage

| Methods | Remarks                                                                                                                        |
| ------- | ------------------------------------------------------------------------------------------------------------------------------ |
| react() | Use AmityCoreClient.newReactionRepository().addReaction() or  AmityCoreClient.newReactionRepository().removeReaction() instead |

#### AmityPostRepository

| Methods        | Remarks                                                                                                                |
| -------------- | ---------------------------------------------------------------------------------------------------------------------- |
| getReactions() | Use AmityCoreClient.newReactionRepository().getReactions() instead                                                     |
| review()       | Use AmitySocialClient.newPostRepository().approvePost() or AmitySocialClient.newPostRepository().declinePost() instead |

#### AmityPost

| Methods       | Remarks                                                                                                                        |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| react()       | Use AmityCoreClient.newReactionRepository.()addReaction() or  AmityCoreClient.newReactionRepository().removeReaction() instead |
| report()      | Use AmitySocialClient.newPostRepository().flagPost() or AmitySocialClient.newPostRepository().unflagPost() instead             |
| delete()      | Use AmitySocialClient.newPostRepository().softDeletePost() or AmitySocialClient.newPostRepository().hardDeletePost() instead   |
| edit()        | AmitySocialClient.newPostRepository().updatePost() instead                                                                     |
| getFeedType() | Use getReviewStatus() instead                                                                                                  |

#### AmityUserRepository

| Methods                               | Remarks                                                                                                                                                              |
| ------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| relationship().me().getFollowInfo()   | Use AmityCoreClient.newUserRepository().relationship().getMyFollowInfo() instead                                                                                     |
| relationship().me().getFollowers()    | <p>Use AmityCoreClient.newUserRepository().relationship().getMyFollowers() instead</p><p><br></p><p>List of followers query can be filtered by AmityReviewStatus</p> |
| relationship().me().getFollowings()   | Use AmityCoreClient.newUserRepository().relationship().getMyFollowings() instead                                                                                     |
| relationship().me().accept()          | Use AmityCoreClient.newUserRepository().relationship().acceptMyFollower() instead                                                                                    |
| relationship().me().decline()         | Use AmityCoreClient.newUserRepository().relationship().declineMyFollower() instead                                                                                   |
| relationship().me().unfollow()        | Use AmityCoreClient.newUserRepository().relationship().unfollow() instead                                                                                            |
| relationship().me().removeFollower()  | Use AmityCoreClient.newUserRepository().relationship().removeMyFollower() instead                                                                                    |
| relationship().user().getFollowInfo() | Use AmityCoreClient.newUserRepository().relationship().getFollowInfo() instead                                                                                       |
| relationship().user().getFollowers()  | Use AmityCoreClient.newUserRepository().relationship().getFollowers() instead                                                                                        |
| relationship().user().getFollowings() | Use AmityCoreClient.newUserRepository().relationship().getFollowings() instead                                                                                       |
| relationship().user().follow()        | Use AmityCoreClient.newUserRepository().relationship().follow() instead                                                                                              |

#### Enum

| Name          | Remark                        |
| ------------- | ----------------------------- |
| AmityFeedType | Use AmityReviewStatus instead |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/developers/migration-guides/android-sdk-v6.0.0-migration-guide/android-sdk-v6.5.0-deprecation-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
